Bug 827022 - small license issues
small license issues
Status: NEW
Product: Spacewalk
Classification: Community
Component: Documentation (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 09:01 EDT by Stephen Herr
Modified: 2015-05-22 05:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-05-31 09:01:31 EDT
1) rhnpush declared GPL v2 but no COPYING file

Would you add a COPYING file please?


2) spacewalk-setup license mix

The spec file states that the package is licensed under "GPLv2".
However, the README implies that the package is actually licensed under the 
same terms as Perl, means Artistic License.

If this is true please say in specfile GPLv2 or Artistic-1.0 and provide the
COPYING and the Artistic License files with the package.


3) spacewalk-reports declared GPLv2 but contains no COPYING file

Would you add a COPYING file please?


4) spacewalk-utils declared GPLv2 but contains GPL-3.0+ licensed script

Please verify and change the spec to GPLv2 and GPLv3+ and provide both COPYING 
files with the package.
Comment 1 Stephen Herr 2012-05-31 09:54:03 EDT
From Johannes Renner <jrenner@suse.de>:

Hello,

the 'spacewalk-search' package is (according to spacewalk-search.spec) licensed as GPLv2,
but apparently it contains numerous Apache licenses throughout the files listed below.

The GPL-2.0 and the Apache licenses are not compatible with each other, according to the
Free Software Foundation: http://www.gnu.org/licenses/license-list.html#apache2.
This does most likely not pose a problem for the package, as the files appear to be mostly
content as opposed to code. Could you still please confirm that the Apache licensed files
are not actually being linked with GPL files?

I guess you would have to add both license texts to the package and it should be reflected
in the specfile (spacewalk-search.spec) as well:

"License: GPLv2" --> "License: GPL-2.0 and Apache-2.0"

Thank you,
Johannes Renner

Please see the list of files here:

spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/hadoop
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/hadoop-config.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/hadoop-daemon.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/hadoop-daemons.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/rcc
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/slaves.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/start-all.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/start-balancer.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/start-dfs.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/start-mapred.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/stop-all.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/stop-balancer.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/stop-dfs.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/hadoop-0.18.1-core/bin/stop-mapred.sh
spacewalk-search-git-0.fd73b43/buildconf/tempjars/ibatis-2.3.0.677/com/ibatis/sqlmap/engine/builder/xml/sql-map-2.dtd
spacewalk-search-git-0.fd73b43/buildconf/tempjars/ibatis-2.3.0.677/com/ibatis/sqlmap/engine/builder/xml/sql-map-config-2.dtd
spacewalk-search-git-0.fd73b43/buildconf/tempjars/ibatis-2.3.0.677/license.txt
spacewalk-search-git-0.fd73b43/buildconf/tempjars/lucene-analyzers-2.3.2/META-INF/LICENSE.txt
spacewalk-search-git-0.fd73b43/buildconf/tempjars/lucene-core-2.3.2/META-INF/LICENSE.txt
spacewalk-search-git-0.fd73b43/buildconf/tempjars/nutch-2008-12-01_04-01-21/nutch-default.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/automaton-urlfilter.txt
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/common-terms.utf8
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/configuration.xsl
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/context.xsl
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/crawl-tool.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/crawl-urlfilter.txt
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/domain-suffixes.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/domain-suffixes.xsd
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/nutch-default.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/parse-plugins.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/prefix-urlfilter.txt
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/regex-normalize.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/regex-urlfilter.txt
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/subcollections.xml
spacewalk-search-git-0.fd73b43/nutch/crawl_jsp/conf/tika-mimetypes.xml
spacewalk-search-git-0.fd73b43/scripts/lukeall-0.8.1/META-INF/LICENSE.txt
spacewalk-search-git-0.fd73b43/scripts/lukeall-0.8.1/xml/about.xml
spacewalk-search-git-0.fd73b43/task-lib/commons-beanutils-1.7.0/META-INF/LICENSE.txt
spacewalk-search-git-0.fd73b43/task-lib/commons-logging-1.0.4/META-INF/LICENSE.txt
spacewalk-search-git-0.fd73b43/task-lib/commons-logging-1.0.4/org/apache/commons/logging/impl/package.html
spacewalk-search-git-0.fd73b43/task-lib/commons-logging-1.0.4/org/apache/commons/logging/package.html
Comment 2 Miroslav Suchý 2012-06-16 12:55:30 EDT
ad 1) fixed in commit 3dc8e23b76807df90ddcf9658fd31c9f7be68ecc

ad 3) fixe in commit 01ffc10158c06d2b7f2981e62ab9a6f0a402ad76
Comment 3 Michael Calmer 2015-02-04 03:57:11 EST
Another place found:

spacewalk-doc-indexes say "GPLv2", but the only license mentioned in files of this package is " Apache License, Version 2.0"

Note You need to log in before you can comment on or make changes to this bug.